Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2458)

Issue 1824673002: time: Add a static TimeTicks method that returns the underlying clock (Closed)

Created:
3 years, 6 months ago by charliea (OOO until 10-5)
Modified:
3 years, 6 months ago
CC:
chromium-reviews, tracing+reviews_chromium.org, darin-cc_chromium.org, jam, wfh+watch_chromium.org, nduca, Lei Zhang
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

time: Add a static TimeTicks method that returns the underlying clock In a follow-up CL, the return value of this method will be written into traces recorded by Chrome so that, when syncing Chrome traces with external traces, we have more information to determine whether the two traces use timestamps from the same underlying clock and can therefore be combined. BUG=597350 Committed: https://crrev.com/fdd7d49cc24ed079bfe164110970c25723d363a8 Cr-Commit-Position: refs/heads/master@{#384352}

Patch Set 1 : #

Total comments: 9

Patch Set 2 : Code review #

Patch Set 3 : Changed to GetClock and an enum #

Total comments: 2

Patch Set 4 : Removed Clock::UNKNOWN #

Total comments: 3

Patch Set 5 : Use IsHighResolution #

Unified diffs Side-by-side diffs Delta from patch set Stats (+34 lines, -0 lines) Patch
M base/time/time.h View 1 2 3 2 chunks +14 lines, -0 lines 0 comments Download
M base/time/time_mac.cc View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
M base/time/time_posix.cc View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
M base/time/time_win.cc View 1 2 3 4 1 chunk +6 lines, -0 lines 0 comments Download

Messages

Total messages: 51 (28 generated)
charliea (OOO until 10-5)
3 years, 6 months ago (2016-03-23 19:26:11 UTC) #10
charliea (OOO until 10-5)
3 years, 6 months ago (2016-03-23 19:27:50 UTC) #12
oystein (OOO til 10th of July)
Usage lg2m from a tracing-owner perspective.
3 years, 6 months ago (2016-03-24 19:01:28 UTC) #14
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1824673002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1824673002/100001
3 years, 6 months ago (2016-03-24 19:21:35 UTC) #16
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 6 months ago (2016-03-24 21:04:37 UTC) #18
charliea (OOO until 10-5)
thestig@, could you take a look for base/time ownership?
3 years, 6 months ago (2016-03-25 15:42:58 UTC) #20
charliea (OOO until 10-5)
Doh, looks like thestig@ is OOO. danakj@, do you think you'd be able to take ...
3 years, 6 months ago (2016-03-25 16:31:31 UTC) #22
danakj
https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h#newcode686 base/time/time.h:686: static std::string ClockId(); it looks like this can return ...
3 years, 6 months ago (2016-03-26 00:40:33 UTC) #23
charliea (OOO until 10-5)
https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h#newcode686 base/time/time.h:686: static std::string ClockId(); On 2016/03/26 00:40:33, danakj wrote: > ...
3 years, 6 months ago (2016-03-28 15:40:51 UTC) #24
danakj
https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h#newcode686 base/time/time.h:686: static std::string ClockId(); On 2016/03/28 15:40:51, charliea wrote: > ...
3 years, 6 months ago (2016-03-28 17:53:50 UTC) #25
danakj
https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h#newcode686 base/time/time.h:686: static std::string ClockId(); On 2016/03/28 17:53:50, danakj wrote: > ...
3 years, 6 months ago (2016-03-28 17:54:21 UTC) #26
charliea (OOO until 10-5)
https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/100001/base/time/time.h#newcode686 base/time/time.h:686: static std::string ClockId(); On 2016/03/28 17:54:21, danakj wrote: > ...
3 years, 6 months ago (2016-03-28 21:07:36 UTC) #32
charliea (OOO until 10-5)
/bump :)
3 years, 6 months ago (2016-03-30 19:48:24 UTC) #33
danakj
https://codereview.chromium.org/1824673002/diff/240001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/240001/base/time/time.h#newcode647 base/time/time.h:647: UNKNOWN, Not sure that you really need the UNKNOWN ...
3 years, 6 months ago (2016-03-30 19:51:59 UTC) #34
charliea (OOO until 10-5)
https://codereview.chromium.org/1824673002/diff/240001/base/time/time.h File base/time/time.h (right): https://codereview.chromium.org/1824673002/diff/240001/base/time/time.h#newcode647 base/time/time.h:647: UNKNOWN, On 2016/03/30 19:51:58, danakj wrote: > Not sure ...
3 years, 6 months ago (2016-03-30 20:07:44 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1824673002/260001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1824673002/260001
3 years, 6 months ago (2016-03-30 20:08:07 UTC) #38
fmeawad
https://codereview.chromium.org/1824673002/diff/260001/base/time/time_win.cc File base/time/time_win.cc (right): https://codereview.chromium.org/1824673002/diff/260001/base/time/time_win.cc#newcode521 base/time/time_win.cc:521: TimeTicks::Clock TimeTicks::GetClock() { nit: I might be confused, but ...
3 years, 6 months ago (2016-03-30 20:25:19 UTC) #40
danakj
https://codereview.chromium.org/1824673002/diff/260001/base/time/time_win.cc File base/time/time_win.cc (right): https://codereview.chromium.org/1824673002/diff/260001/base/time/time_win.cc#newcode521 base/time/time_win.cc:521: TimeTicks::Clock TimeTicks::GetClock() { On 2016/03/30 20:25:19, fmeawad wrote: > ...
3 years, 6 months ago (2016-03-30 20:26:29 UTC) #41
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/189497)
3 years, 6 months ago (2016-03-30 21:02:38 UTC) #43
charliea (OOO until 10-5)
https://codereview.chromium.org/1824673002/diff/260001/base/time/time_win.cc File base/time/time_win.cc (right): https://codereview.chromium.org/1824673002/diff/260001/base/time/time_win.cc#newcode521 base/time/time_win.cc:521: TimeTicks::Clock TimeTicks::GetClock() { On 2016/03/30 20:26:29, danakj wrote: > ...
3 years, 6 months ago (2016-03-31 15:38:39 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1824673002/280001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1824673002/280001
3 years, 6 months ago (2016-03-31 15:39:02 UTC) #47
commit-bot: I haz the power
Committed patchset #5 (id:280001)
3 years, 6 months ago (2016-03-31 19:05:32 UTC) #49
commit-bot: I haz the power
3 years, 6 months ago (2016-03-31 19:07:34 UTC) #51
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/fdd7d49cc24ed079bfe164110970c25723d363a8
Cr-Commit-Position: refs/heads/master@{#384352}

Powered by Google App Engine
This is Rietveld 408576698